# MatMFFDResetHHistory

Resets the counter to zero to begin collecting a new set of differencing histories.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDResetHHistory(Mat J)

Collective on Mat

### Input Parameters

J -the matrix-free matrix context

### Notes

Use MatMFFDSetHHistory() to create the original history counter.

### Keywords

SNES, matrix-free, h history, differencing history

### See Also

MatMFFDGetH(), MatCreateSNESMF(),
MatMFFDSetHHistory(), MatMFFDKSPMonitor(), MatMFFDSetFunctionError()

Level:advanced
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages